def name_equals(name: str, negated=False):
    return {
        "op": "name_equals",
        "negated": negated,
        "name": name
    }

def name_list(names: list, negated=False):
    return {
        "op": "name_list",
        "negated": negated,
        "names": names
    }

def name_matches(pattern: str, ignore_case=True, negated=False):
    return {
        "op": "name_matches",
        "negated": negated,
        "pattern": pattern,
        "ignore_case": ignore_case
    }

def type_in(types: list, negated=False):
    return {
        "op": "type_in",
        "negated": negated,
        "types": types
    }

def all(criteria: list):
    return {
        "op": "all",
        "criteria": criteria
    }

def any(criteria: list):
    return {
        "op": "any",
        "criteria": criteria
    }