from dataclasses import dataclass
from enum import Enum

@dataclass
class User:
    id: str
    name: str
    email: str


class UserRoles(str, Enum):
    # this class define the supported User roles
    OrgOwner = "org-owner"
    OrgEditor = "org-editor"
    OrgViewer = "org-viewer"
    ProjectOwner = "project_owner"
    ProjectEditor = "project-editor"
    ProjectViewer = "project-viewer"