from dataclasses import dataclass
from aiaengine.core import FeatureSet

@dataclass(frozen=True)
class PreprocessingPipelineSpec:
    """The specification (graph of preprocessing steps) describes how to preprocess the training data
    """
    feature_set: FeatureSet
    spec: dict
    name: str
    description: str = ''
    id: str = None