from dataclasses import dataclass
from typing import Optional

@dataclass
class ValidationError(Exception):
    code: str
    message: str
    data: Optional[dict] = None
    suggestion: Optional[str] = None